import 'package:flyinsono/pages/auth/widgets/code_field.dart';
import 'package:get/get.dart';

import 'controller.dart';

///登录页面依赖绑定
class SignInBinding implements Bindings {
  @override
  void dependencies() {
    final tag = SignInController.C_VERIFICATION_CONTROLLER_TAG;
    if (!Get.isRegistered<VerificationCodeFieldController>(tag: tag)) {
      Get.lazyPut(() => VerificationCodeFieldController(), tag: tag);
    }
    Get.lazyPut<SignInController>(() => SignInController());
  }
}
